Bug 978573 - Modify supplier/supplierOracleSetupRequestor template
Modify supplier/supplierOracleSetupRequestor template
Status: RELEASE_PENDING
Product: Red Hat Web Site
Classification: Red Hat
Component: Supplier On-Boarding (Show other bugs)
MR60 (AMS)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vikas Laad
Narayanan Raghavan
n/a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 16:29 EDT by Brooks
Modified: 2015-01-19 19:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Translations (these have been coupled with other translations for another email template modification) (23.48 KB, application/vnd.oasis.opendocument.text)
2013-07-05 13:59 EDT, Brooks
no flags Details

  None (edit)
Description Brooks 2013-06-26 16:29:16 EDT
Description of problem:

We need to modify the text of the email below that is sent to supplier's when they have been approved aka. added to Oracle

Email console template name:
supplier/supplierOracleSetupRequestor


Subject: A New Supplier has been added to Oracle
"
 The following New Supplier has been added to the (Oracle Module/Country) Oracle Module.

 Name - [Supplier's company name]

 The Oracle Supplier Number - [Oracle number]

 Thank you

 Red Hat Supplier Management
"


Version-Release number of selected component (if applicable):
N/A

How reproducible:
Everytime

Steps to Reproduce:
(Execute Steps in Dev AND you need internal supplier admin privs)
1. Create a supplier request with your email address entered into the 'Email' field
2. Check your email and find the tethering link within the supplier portal email that will allow you to tether a SSO Account to your supplier profile
3. Place tethering link in address bar of browser, select enter
4. Create a new account by selecting 'sign up' OR enter an existing login credentials for the environment your in
5. Select 'Your Profile'
6. Fill out all required fields within each tab of the profile and save each one of them
7. Submit the 'Approvals' tab indicating your supplier information is ready for review
8. Go to the internal supplier portal in the environment your running the test in
9. Find your supplier request in the 'New' status and select it
10. Approve the Supplier request.

Actual results:
The email,
Subject: A New Supplier has been added to Oracle
"
 The following New Supplier has been added to the (Oracle Module/Country) Oracle Module.

 Name - [Supplier's company name]

 The Oracle Supplier Number - [Oracle number]

 Thank you

 Red Hat Supplier Management
"

will be sent to your email address

Expected results:
The email,
Subject: A New Supplier has been added to Oracle
"
Congratulations . You've completed the onboarding process to become a Red Hat supplier in ( Oracle Module/Country )


Name - ${companyName}


The Oracle Supplier Number - ${oracleNumber}


If you need to update your supplier profile at any time go to www.redhat.com/wapps/supplier-admin/ and login with the account you previously created.

Please contact supplier-management@redhat.com  if you need assistance.

Thank you

Red Hat Supplier Management
"

should be sent to the supplier

Additional info:

This has been requested by Pam Davis

Does this need to be demoed?

Not sure, please leave a comment indicating if this needs to be demoed or not.
Comment 1 Brooks 2013-06-26 16:33:15 EDT
US35613 added to AMS backlog
Comment 2 Brooks 2013-07-05 13:59:18 EDT
Created attachment 769351 [details]
Translations (these have been coupled with other translations for another email template modification)
Comment 3 David Spalding 2014-04-04 10:12:03 EDT
Accepted into MR60 Sprint 2 for development. Contact the responsible
Business Systems Analyst or the AMS team Scrum Master for more 
information.
Comment 4 Yimo Chen 2014-04-08 15:16:25 EDT
Code review can be seen here:
https://phabricator.devlab.redhat.com/D57

http://git.corp.redhat.com/cgit/dev/sd/web/code/commit/?id=188a126c608cde51b6fa7713681368ceea8afea4

Template updates deployed to AM-QA and is ready for testing.
Comment 5 David Spalding 2014-04-11 10:57:31 EDT
Tested okay in AM-QA. Noted that URLs in Asian languages need a space around
the URL string, or the URL may be incorrect in mail clients. 

Also noted a "Oracle module / country" boilerplate text in the template that
appears to have been intended for a variable. Will address in a separate change
request.
Comment 6 Yimo Chen 2014-04-11 11:40:35 EDT
URLs in Asian Languages fixed
Comment 7 David Spalding 2014-04-14 15:20:58 EDT
Changes reviewed in AM-QA, look good.
Comment 8 Sampath Polasani 2014-04-23 13:50:57 EDT
I have reviewed the "supplier/supplierOracleSetupRequestor" template in QA at https://am-qa-internal.devlab.redhat.com/wapps/email-console/index.html
and the changes are as expected.

Sampath Polasani

Note You need to log in before you can comment on or make changes to this bug.